Subject: Re: [Softwires] draft-byrne-v6ops-clatip-01

From: Cb B <[email-masked]>
Date: Fri, 4 Apr 2014 06:34:37 -0700

Hello folks,

No follow-up in a week. I assume the below explanation and exisiting text
are ok.

To restate, this I-D simply generalizes the scope of 192.0.0.0/29.  There
is no guidance on how specific addresses may be used. It is assumed the
deploying party will not cause a conflict on the host by assiging the same
address to the host multipls times.... as that is a general ip
configuration rule.

I will ask v6ops to accept this i-d and direct them to this thread to see
the softwire view.

CB

On Mar 29, 2014 4:59 AM, "Cb B" <[email-masked]> wrote:
>
> On Thu, Mar 27, 2014 at 3:38 PM, Dave Thaler <[email-masked]>
wrote:
> >> -----Original Message-----
> >> From: Softwires [mailto:[email-masked]] On Behalf Of Cb B
> >> Sent: Thursday, March 27, 2014 10:58 AM
> >> To: [email-masked]
> >> Subject: [Softwires] draft-byrne-v6ops-clatip-01
> >>
> >> Hi Softwires,
> >>
> >> Ales presented draft-byrne-v6ops-clatip-01 in softwires at the last
IETF
> >> meeting.
> >>
> >> I am attempting to have this I-D adopted by v6ops, but v6ops requested
> >> feedback from softwires first.
> >>
> >> Pertaining to the minutes, i would like to address some topics to make
sure it
> >> is ok  for v6ops to move forward with adoption
> >>
> >>
https://tools.ietf.org/wg/softwire/minutes?item=minutes-89-softwire.html
> >>
> >> The addresses, both in DS-lite and 464xlat, never appears on the wire
so
> >> there is no chance of overlap or collision.
> >
> > Disagree, that conclusion doesn't follow (and in my experience it's
wrong).
> > Overlap/collision happens when there are two interfaces on the same host
> > (even if they're not in use simultaneously).   The collisions can affect
> > the routing table (if the host implements in such a way), ACLs like in
> > host firewall policies and such, and various application-layer uses.
> >
>
> Ah, i see your point.  If the host is itself both a B4 and a CLAT at
> the same time, then this collision may occur within the host, not on
> the wire.
>
> > It's fine to specify use as the default range (e.g. for 464xlat or
DS-lite) but
> > important to never constrain it to only that range, assuming the range
is made
> > non-DS-lite specific.
> >
> > -Dave
>
> Is there such a constraint that would cause a problem?
>
> Looking at RFC6333 and draft-byrne-v6ops-clatip, i see that RFC6333
> says the B4 SHOULD use 192.0.0.2.  To a rational person, a good reason
> to not use  192.0.0.2 is that it is in use for a CLAT interface on the
> same host, which fits with the SHOULD wording.
>
> Is there some text that you could suggest that may clarify this
> situation in draft-byrne-v6ops-clatip or is it ok for v6ops to adopt
> as-is?  As it stands, the I-D simply says that 192.0.0.0/29 will be
> generalized without making any further statements how addresses may be
> used within that range.
>
> CB